.section-services {
    background-color: $white;
    position: relative;
    padding: 5em 2em;

    @media (max-width: $md) {
        padding: 5em 1em ;
    }

    @media (max-width: $sm) {
        padding: 3em 1em;
    }

    .grid {
        align-items: center;

        &__col-2 {

            &--center {
                justify-content: flex-start;

                @media (max-width: $md) {
                    display: flex;
                    justify-content: center;
                }
            }
        }
    }

    &__wrapper {
        @extend .wrapper;
    }

    .introduction {
        display: flex;
        margin-bottom: 1em;
        flex-direction: column;

        @media (max-width: $md) {
            width: 100%;
            margin: auto;
            max-width: $sm;
        }

        &__heading {
            max-width: 15em;
            margin: 0.25em 0;
            color: $lucky-point;
        }

        &__description {
            max-width: 20em;
            line-height: 1.75rem;
            font-size: 1.1rem;
            margin-bottom: 2.5em;
            color: $lucky-point;

            p {
                margin: 0;
            }
        }
    }

    .services {
        margin-left: 2.5em;
        position: relative;
        max-width: $sm;
        margin-right: 1em;

        @media (max-width: $md) {
            margin-right: 0;
        }

        .service {
            position: relative;
            cursor: pointer;

            &__icon {
                &:before {
                    font-family: "Font Awesome 5 Free";
                    content: "\f0fe";
                    font-size: 1.5rem;
                    position: absolute;
                    color: $athens-gray-light;
                    left: -1.6em;
                    top: 5px;
                }

                &--tick {

                    &:before {
                        content: "\f14a";
                        color: $lucky-point;
                    }
                }
            }

            &__heading {
                font-weight: 600;
                margin-bottom: .25em;
                font-size: 1.15rem;
                color: $lucky-point;
            }

            &__description {
                margin-bottom: 2em;
                font-size: .9rem;
                line-height: 1.75rem;

                p {
                    margin: 0 0 1em;
                }
            }

            @media (min-width: $md) {

                &:last-child {
                    .service {
                        &__description {
                            margin-bottom: 0;
                        }
                    }
                }
            }
        }
    }

    .browser {
        border-radius: 10px;
        max-width: 40em;
        overflow: hidden;
        font-size: 0.8em;
        border: 1px solid $athens-gray;
        margin: auto;
        transition: 0.5s ease-in-out all;

        @media (max-width: $md) {
            margin-top: 1em;
        }

        &--blue-shadow {
            box-shadow: -2px 4px 51px -10px rgba(174, 187, 255, 0.38);
            border-color: transparent;
        }

        &__window {
            position: relative;
            z-index: 1;

            .header {
                padding: 1em 4em 0.3em;
                box-shadow: 0 0 4px rgba(0, 0, 0, 0.08);
                background: #222d33;

                &__url {
                    padding: .15em;
                    text-align: center;
                    background-color: #181f23;
                    color: #505f67;
                    border-radius: .25em;

                    &--text {
                        overflow: hidden;
                        margin: 0 auto;
                        animation: typing 3.5s steps(40, end)
                    }
                }
            }
        }

        &__page {

            .website {
                position: relative;

                &__background {
                    transition: top 1s ease-in-out;
                    position: absolute;
                    top: 100%; left: 0; right: 0; bottom: 0;
                    background-image: linear-gradient(120deg, #ffffff 0%, #b9dcff 100%);

                    &--colour {
                        top: 0;
                    }
                }


                .hero {
                    position: relative;
                    padding: 0 2.5em;

                    &__wrapper {
                        max-width: 35em;
                        margin: auto;
                    }

                    .grid {
                        &__col-2 {

                            &--center {
                                @media(max-width: $md) {
                                    align-items: center;
                                }
                            }
                        }
                    }

                    &__curve {
                        border-radius: 100%;
                        height: 40em;
                        width: 40em;
                        position: absolute;
                        background: rgba(255, 255, 255, 0.3);
                        border: 1px solid $athens-gray;
                        top: -1em;
                        right: -25em;

                        @media (max-width: $md) {
                            right: -10em;
                            top: 12em;
                        }

                        &--white {
                            border-color: $white;
                        }
                    }

                    &__heading {
                        font-size: 1.5em;
                        margin-bottom: .25em;
                        color: $biscay;
                        visibility: hidden;

                        &--show {
                            visibility: visible;
                            animation: fadein 2s;
                        }

                        @media (max-width: $md) {
                            margin-top: 1em;
                            font-size: 1.25rem;
                            text-align: center;
                        }
                    }

                    &__description {
                        color: $biscay;
                        visibility: hidden;

                        &--show {
                            visibility: visible;
                            animation: fadein 2s;
                        }

                        @media (max-width: $md) {
                            font-size: .9rem;
                            text-align: center;
                        }
                    }

                    &__illustration {
                        z-index: 1;
                        position: relative;
                        padding: 12em;
                        left: 3em;
                        top: 4em;
                        background-image: url("/content/themes/romin/assets/images/uw5.svg");
                        background-position: center;
                        background-size: contain;
                        background-repeat: no-repeat;
                        transition: top 1s ease-in-out;

                        &--image {
                            padding: 12em;
                            left: 0;
                            top: 0;
                            background-image: url("/content/themes/romin/assets/images/uw4.svg");
                        }

                        @media (max-width: $lg) {
                            left: -12px;
                            padding: 11.5em;
                        }

                        @media (max-width: $md) {
                            top: 34px;
                            left: -12px;
                            padding: 10.5em
                        }
                    }
                }
            }
        }
    }

    &:before {
        content: "";
        position: absolute;
        top: -6em;
        left: 0;
        right: 0;
        height: 6em;
        background-image: url("/content/themes/romin/assets/images/testimonials_top_curves_faded.svg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: 100% 100%;
        pointer-events: none;


        @media (max-width: $lg) {
            top: -4em;
            height: 4em;
            background-size: 110% 100%;
        }

        @media (max-width: $md) {
            background-size: 140% 102%;
        }
    }
}